Мазмұнға өту

Kotoba Text-to-Speech

Интеграциялау

Модель идентификаторы kotoba-technologies/kotoba-tts/v2/tts/ws
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kotoba-technologies/kotoba-tts/v2/tts/ws?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence.",
    "language": "ja",
    "speaker_id": "male-01"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Осы сұрау: 0,003 $ 3 API кредиті · ≈ 0,32 ₽ Осы бетте іске қосу

API кілтін алу
Kotoba Technologies Мәтіннен сөйлеуге #commercial-use#text-to-speech#japanese#streaming

Жасалу барысында ағынмен берілетін, екі дауысы және WAV нәтижесі бар жапон тіліндегі мәтіннен сөйлеуге моделі

Kotoba Technologies · Аудио

Алғашқы нәтижеңіз осында пайда болады

Төменде сұрау құрып, оны API кілтіңізбен іске қосыңыз. Шығыстар сақтау орнымызға көшіріліп, мәңгі немесе 7 күн тегін сақталады.

Сұрау жасау

Басқару элементтері модель схемасынан жасалады. Оларды өзгерткен сайын код пен баға жаңартылады.

•міндетті 50 / 400

400 таңбамен шектелген жапон тіліндегі сөйлеу кірісінің мәтіні.

language •міндетті

Мәтінде пайдаланылатын тіл.

speaker_id •міндетті

Дауыс таңдау.

POST /run/kotoba-technologies/kotoba-tts/v2/tts/ws?wait=20 бағасы → 0,003 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/kotoba-technologies/kotoba-tts/v2/tts/ws?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Hello from Doitong. This is a short test sentence.",
    "language": "ja",
    "speaker_id": "male-01"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Осы сұрауды іске қосу

Кілтіңіз осы браузерде қалады: ол тек Doitong API-ге жіберіледі және Remember параметрін белгілеcеңіз ғана localStorage ішінде сақталады. API кілтін алу

Kotoba Text-to-Speech туралы

Ұзындығы 400 таңбаға дейінгі жапонша `text` мәтінін дыбыстайды, `language` мәні ja болып бекітілген. Дауысты `speaker_id` арқылы таңдаңыз: male-01 немесе female-01. Нәтиже — 24 kHz моно, 16-bit WAV файлы, ұзақтығы секундпен және синтезделген мәтінмен бірге. Аудио жасалу барысында ағынмен беріледі.

Параметрлер

АтауыТүрі ӘдепкіРұқсат етілген Сипаттама
textміндетті
Түріstring
≤ 400 таңба
400 таңбамен шектелген жапон тіліндегі сөйлеу кірісінің мәтіні.
languageміндетті
Түріenum
ja
Мәтінде пайдаланылатын тіл.
speaker_idміндетті
Түріenum
male-01female-01
Дауыс таңдау.
міндетті

Шығыс

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kotoba-technologies/kotoba-tts/v2/tts/ws",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3,
    "usd": "0.003",
    "charged": 3,
    "refunded": 0
  },
  "input": {
    "text": "Hello from Doitong. This is a short test sentence.",
    "language": "ja",
    "speaker_id": "male-01"
  },
  "output": {
    "audio": {
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200,
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3"
    },
    "audio_duration_secs": 1.0,
    "text": "string"
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Файлдарыңыз — таңдауыңызӘр outputs[].url — сақтау орнымыздағы көшірме: мәңгі (әр GB-ай үшін ақылы) немесе аккаунт параметрі не ?storage= арқылы 7 күн тегін сақталады.
Әр модельдегі пішім бірдейtype, url, content_type, width, height және duration — кескіндерге, бейнеге және аудиоға ортақ. output — модельдің өз нәтижелер нысаны.
Шығыс өрістері
audio
object {content_type, file_name, file_size, url}24 kHz моно аудио және 16-bit тереңдіктегі WAV пішіміндегі синтезделген сөйлеу файлына сілтеме.
audio_duration_secs
numberСинтезделген аудионың секундпен өлшенетін ұзақтығы.
text
stringСөйлеуді синтездеу үшін пайдаланылатын мәтін.

AI агенттеріне: бұл беттің Markdown нұсқасы мына жерде: https://doitong.com/kk/developers/models/kotoba-technologies/kotoba-tts/v2/tts/ws.md. Барлық модельдер мен нұсқаулықтар: https://doitong.com/developers/llms.txt